Delete an integration
DELETE
https://api.propexo.com/v1/admin/integrations/:integration_id/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
integration_id stringrequired
The Propexo unique identifier for the integration
Request
This endpoint expects an object.
object
Response
Successful response
successbooleanrequired
Status of integration deletion
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
DELETE /v1/admin/integrations/:integration_id/
- cURL
- Node.js
- Python
curl -X DELETE https://api.propexo.com/v1/admin/integrations/:integration_id/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
const response = await fetch("https://api.propexo.com/v1/admin/integrations/:integration_id/", {
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.propexo.com/v1/admin/integrations/:integration_id/",
headers={"Authorization": "Bearer <token>"},
json={},
)
data = response.json()
200 Successful response
{
"success": true
}